Loading...
Searching...
No Matches
Exiv2::Internal::PentaxMakerNote Class Reference

MakerNote for Pentaxfilm cameras. More...

`#include <pentaxmn_int.hpp>`

## Static Public Member Functions

static const TagInfo * | tagList ()
| Return read-only list of built-in Pentaxfilm tags.
static std::ostream & | printVersion (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax version.
static std::ostream & | printResolution (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax resolution.
static std::ostream & | printDate (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax date.
static std::ostream & | printTime (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax time.
static std::ostream & | printExposure (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax exposure.
static std::ostream & | printFValue (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax F value.
static std::ostream & | printFocalLength (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax focal length.
static std::ostream & | printCompensation (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax compensation.
static std::ostream & | printTemperature (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax temperature.
static std::ostream & | printFlashCompensation (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax flash compensation.
static std::ostream & | printBracketing (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax bracketing.
static std::ostream & | printShutterCount (std::ostream &os, const Value &value, const ExifData *)
| Print Pentax shutter count.

## Detailed Description

MakerNote for Pentaxfilm cameras.

The documentation for this class was generated from the following files:

- pentaxmn_int.hpp
- pentaxmn_int.cpp